#
# spec file for package fsc-aacraid (Version 1.1.5.2434.3fsc)
#
# Copyright (c) 2007 Novell, Inc.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://support.novell.com
#

# norootforbuild
# usedforbuild    aaa_base acl attr autoconf automake bash bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kernel-source kernel-syms klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           fsc-aacraid
%define driver_version 1.1.5.2434.3fsc
%define kver %(rpm -q --qf '%{VERSION}-%{RELEASE}' kernel-source)
%define arch %_target_cpu
%define install_mod_dir updates 
%define sles_string SLES_10
%define kver_orig 2.6.16.21-0.8
Group:          System/Kernel
Version:        1.1.5.2434.3fsc
Release:        1
License:        GPL v2 or later
Summary:        aacraid driver for PRIMERGY servers
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  kernel-source kernel-syms
Source0:        fsc-aacraid-1.1.5.2434.tar.bz2
Source1:        fsc_compat.sh
Source2:        README.FSC
Source3:        fsc-aacraid-files
Patch0:         fsc-aacraid-1.1.5-2434-build.diff
Patch1:         fsc-aacraid-1.1.5-2434-version.diff
Patch2:         fsc-aacraid-inquiry-vpd80.diff
Patch3:         fsc-aacraid-fsc_buildinfo.diff
%suse_kernel_module_package -f fsc-aacraid-files um debug

%description
This package provides the aacraid driver for PRIMERGY servers released
by Fujitsu Siemens Computers.



%package KMP
Summary:        aacraid driver for PRIMERGY servers
Group:          System/Kernel

%description KMP
This package provides the aacraid driver for PRIMERGY servers released
by Fujitsu Siemens Computers.



%prep
%setup -n fsc-aacraid-1.1.5.2434
cp -a %_sourcedir/README.FSC ./README.FSC
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
rm -f Module.supported
for x in aacraid; do 
    echo "$x external" >>Module.supported
done
set -- *
mkdir {source,obj}
mv "$@" source/
mv source/linit.c _buildinfo
if [ %{kver} = %{kver_orig} ]; then _kstat=Original; else _kstat=Update; fi
sed '
s|^"FSC Release: .*\\n"$|"FSC Release: 1\\n"|
s|^"FSC Build Date: .*\\n"$|"FSC Build Date: '$(date +%Y/%m/%d-%H:%M)'\\n"|
s|^"FSC Kernel Release: .*\\n"$|"FSC Kernel Release: '$_kstat' SuSE '%{sles_string}' ('%{kver}')\\n"|
' <_buildinfo >source/linit.c
rm -f _buildinfo

%build
export EXTRA_CFLAGS='-DVERSION=\"%driver_version\"'
export FSC_DIST=sles10
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    fsc_compat_d=/var/tmp/fsc_compat/%{kver}-obj/%{arch}/$flavor
    mkdir -p $fsc_compat_d
    %_sourcedir/fsc_compat.sh /usr/src/linux-obj/%arch/$flavor $fsc_compat_d
    cp -a $fsc_compat_d/fsc_compat.h obj/$flavor
    make -C /usr/src/linux-obj/%arch/$flavor modules M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=%{install_mod_dir}
for flavor in %flavors_to_build; do
    mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kver}-$flavor
    make -C /usr/src/linux-obj/%arch/$flavor modules_install M=$PWD/obj/$flavor
done
%changelog
* Mon Oct 15 2007 - poswald@novell.com
-Modified the package name per Martin to ...1.1.5.2434.3fsc
* Fri Jun 15 2007 - andavis@novell.com
- Submission of revised version to PLDP.
- Bugzilla: 271052.
* Fri Jun 15 2007 - Martin.Wilck@fujitsu-siemens.com (1.1.5.2434fsc1-1)
- Add support for INQUIRY page 0x80.
* Fri May 04 2007 - andavis@novell.com
- Submission to PLDP.
- Bugzilla: 271052.
* Fri May 04 2007 - Martin.Wilck@fujitsu-siemens.com (1.1.5.2434-2)
- autobuild adaptations.
* Fri Jan 26 2007 - Martin.Wilck@fujitsu-siemens.com
- First version.
